package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2018/11/20
 */
public class VacationDto implements Serializable {

    private String id;
    private String libId;
    private int type;
    private String startDate;

    private String endDate;
    private String limitYear;
    private Integer setState; 	//1关闭 2-开启
    private String limitMsg; //限制文案
    private Integer isEffect; //1-已生效 2-未生效

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getLimitYear() {
        return limitYear;
    }

    public void setLimitYear(String limitYear) {
        this.limitYear = limitYear;
    }

    public Integer getSetState() {
        return setState;
    }

    public void setSetState(Integer setState) {
        this.setState = setState;
    }

    public String getLimitMsg() {
        return limitMsg;
    }

    public void setLimitMsg(String limitMsg) {
        this.limitMsg = limitMsg;
    }

    public Integer getIsEffect() {
        return isEffect;
    }

    public void setIsEffect(Integer isEffect) {
        this.isEffect = isEffect;
    }
}
